Subject: Re: [PATCH] {maint} distcheck: add support for AM_DISTCHECK_CONFIGURE_FLAGS

From: Stefano Lattarini <[email-masked]>
Date: Wed, 15 Jun 2011 09:40:07 +0200

On Tuesday 14 June 2011, Ralf Wildenhues wrote:
> * Stefano Lattarini wrote on Fri, Jun 10, 2011 at 05:33:39PM CEST:
> >  <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8784>
> > On Thursday 02 June 2011, Stefano Lattarini wrote:
> > > Continuing with the good trend of avoiding to impinge on the user
> > > namespace, we should start supporting AM_DISTCHECK_CONFIGURE_FLAGS
> > > in addition to DISTCHECK_CONFIGURE_FLAGS, so that the former can be
> > > reserved for the developer to be set in the 'Makefile.am's, and the
> > > latter left for the user, packager or tester to use freely.
> 
> Sure, but: the previous lack of AM_DISTCHECK_CONFIGURE_FLAGS was due to
> the motivation that developers should make their code buildable
> without any special configure options.
>
Sure, but: the documentation wasn't aligned with this positions, as it
suggested to define DISTCHECK_CONFIGURE_FLAGS in Makefile.am without
giving any warning :-).  However ...

> I would suggest to at least discourage using this in the documentation.
>
... I agree, and I will make the change soon.  Maybe I can find a couple of
examples of where the AM_DISTCHECK_CONFIGURE_FLAGS could be useful *and*
legitimate; which would make my change more meaningful.

> Other than that, the patch looks OK to me, thanks.
> 
> Cheers,
> Ralf
> 

Thanks,
  Stefano